Bug 1028196 - [abrt] cpulimit-1.1-3.fc19: ____strtol_l_internal: Process /usr/bin/cpulimit was killed by signal 11 (SIGSEGV)
[abrt] cpulimit-1.1-3.fc19: ____strtol_l_internal: Process /usr/bin/cpulimit ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cpulimit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christos Triantafyllidis
Fedora Extras Quality Assurance
abrt_hash:f0dae79263b334aefe64072562c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 16:34 EST by Shawn Q
Modified: 2015-02-12 05:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-12 05:55:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.34 KB, text/plain)
2013-11-07 16:34 EST, Shawn Q
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-07 16:34 EST, Shawn Q
no flags Details
File: core_backtrace (875 bytes, text/plain)
2013-11-07 16:34 EST, Shawn Q
no flags Details
File: dso_list (390 bytes, text/plain)
2013-11-07 16:34 EST, Shawn Q
no flags Details
File: environ (3.52 KB, text/plain)
2013-11-07 16:34 EST, Shawn Q
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-07 16:35 EST, Shawn Q
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-07 16:35 EST, Shawn Q
no flags Details
File: maps (2.18 KB, text/plain)
2013-11-07 16:35 EST, Shawn Q
no flags Details
File: open_fds (108 bytes, text/plain)
2013-11-07 16:35 EST, Shawn Q
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-11-07 16:35 EST, Shawn Q
no flags Details
File: var_log_messages (383 bytes, text/plain)
2013-11-07 16:35 EST, Shawn Q
no flags Details

  None (edit)
Description Shawn Q 2013-11-07 16:34:47 EST
Description of problem:
Command list:

google-chrome
GPID=$!
sleep 2
cpulimit --limit 30 -p $GPID -z

Result:

7380 Segmentation fault      (core dumped) cpulimit --limit 30 -p $GPID -z
[7219:7290:1107/162536:ERROR:download.cc(99)] PostClientToServerMessage() failed during GetUpdates
[97:117:1107/162536:ERROR:platform_thread_linux.cc(99)] Failed to set nice value of thread to -10
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[118:262:1107/162702:ERROR:platform_thread_linux.cc(99)] Failed to set nice value of thread to -10

Version-Release number of selected component:
cpulimit-1.1-3.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        cpulimit --limit 30 -p -z
crash_function: ____strtol_l_internal
executable:     /usr/bin/cpulimit
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 ____strtol_l_internal at ../stdlib/strtol_l.c:300
 #1 strtol at ../stdlib/strtol.c:109
 #2 atoi at /usr/include/stdlib.h:280
Comment 1 Shawn Q 2013-11-07 16:34:50 EST
Created attachment 821314 [details]
File: backtrace
Comment 2 Shawn Q 2013-11-07 16:34:52 EST
Created attachment 821315 [details]
File: cgroup
Comment 3 Shawn Q 2013-11-07 16:34:55 EST
Created attachment 821316 [details]
File: core_backtrace
Comment 4 Shawn Q 2013-11-07 16:34:57 EST
Created attachment 821317 [details]
File: dso_list
Comment 5 Shawn Q 2013-11-07 16:34:59 EST
Created attachment 821318 [details]
File: environ
Comment 6 Shawn Q 2013-11-07 16:35:02 EST
Created attachment 821319 [details]
File: exploitable
Comment 7 Shawn Q 2013-11-07 16:35:04 EST
Created attachment 821320 [details]
File: limits
Comment 8 Shawn Q 2013-11-07 16:35:07 EST
Created attachment 821321 [details]
File: maps
Comment 9 Shawn Q 2013-11-07 16:35:09 EST
Created attachment 821322 [details]
File: open_fds
Comment 10 Shawn Q 2013-11-07 16:35:12 EST
Created attachment 821323 [details]
File: proc_pid_status
Comment 11 Shawn Q 2013-11-07 16:35:14 EST
Created attachment 821324 [details]
File: var_log_messages
Comment 12 Christos Triantafyllidis 2014-07-26 21:49:36 EDT
Should be fixed by latest build (rebuild against the github sources).
For Fedora 20 it is already in latest build, for Fedora 19 still needs karma.

Could please check if that fixes it for you too?
Comment 13 Shawn Q 2014-09-08 17:35:38 EDT
Christos, yes, it looks like it's caging the process properly and no more segmentation faults. Thank you!
Comment 14 Fedora End Of Life 2015-01-09 17:21:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Christos Triantafyllidis 2015-02-12 05:55:37 EST
Hello,

   As this issue is resolved, I'm closing the bug report.

Cheers,
Christos

Note You need to log in before you can comment on or make changes to this bug.